## DAViCalSession

Description

A class for creating and holding session information.

Located in /inc/DAViCalSession.php (line 50)

    Session
       |
       --DAViCalSession

Method Summary
DAViCalSession DAViCalSession ([string $sid = ''])
void AssignSessionDetails (object $u)
void GetRelationships ()
void GetRoles ()
boolean LoginRequired ([string $roles = ''])
Methods
Constructor DAViCalSession (line 61)

Create a new DAViCalSession object.

We create a Session and extend it with some additional useful RSCDS related information.

DAViCalSession DAViCalSession ([string $sid = ''])

- string $sid: A session identifier.

AssignSessionDetails (line 70)

Internal function used to assign the session details to a user's new session.

void AssignSessionDetails (object $u)

- object $u: The user+session object we (probably) read from the database.

GetRelationships (line 98)

Method used to get the user's relationships

void GetRelationships ()
GetRoles (line 83)

Method used to get the user's roles

void GetRoles ()
LoginRequired (line 120)

Checks that this user is logged in, and presents a login screen if they aren't.

The function can optionally confirm whether they are a member of one of a list of roles, and deny access if they are not a member of any of them.

- return: Whether or not the user is logged in and is a member of one of the required roles.

boolean LoginRequired ([string $roles = ''])

- string $roles: The list of roles that the user must be a member of one of to be allowed to proceed.

Documentation generated on Sat, 24 Oct 2009 12:40:40 +1300 by phpDocumentor 1.3.2